unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
 SearchRec:TSearchRec;
begin
// Ищем файл
 if FindFirst(Edit1.Text,faAnyFile,SearchRec)=0 then
// Забираем размер
 Edit2.Text:=IntToStr(SearchRec.Size)+ 'байт';
//Закрываем поиск
 FindClose(SearchRec);
end;

end.
